# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename cli-table

Name:               nodejs-cli-table
Version:            0.3.1
Release:            1%{?dist}
Summary:            Pretty unicode tables for the CLI

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/cli-table
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(colors)

Requires:           npm(colors)

%if 0%{?enable_tests}
BuildRequires:      npm(expresso)
BuildRequires:      npm(should)
%endif


%description
This utility allows you to render unicode-aided tables on the command line
from your node.js scripts.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cli-table
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/cli-table

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
make test
%endif


%files
# The license full text is included in the README
%doc README.md
%{nodejs_sitelib}/cli-table/

%changelog
* Tue Feb 10 2015 Ralph Bean <rbean@redhat.com> - 0.3.1-1
- Initial packaging for Fedora.
